WORMHOLE-RS(1)

NAME
wormhole-rs - send files to another computer, securely

DESCRIPTION
wormhole-rs 0.7.0

  USAGE:

    wormhole-rs [OPTIONS] <SUBCOMMAND>

  GENERAL OPTIONS:

--relay-server <tcp://HOSTNAME:PORT>
    Use a custom relay server (specify multiple times for multiple relays) [aliases: relay]

--rendezvous-server <ws://example.org>
    Use a custom rendezvous server. Both sides need to use the same value in order to find each other

--force-direct
    Disable the relay server support and force a direct connection

--force-relay
    Always route traffic over a relay server. This hides your IP address from the peer (but not from the server operators. Use Tor for that)

-h, --help
    Print this help message

-v, --verbose
    Enable logging to stdout, for debugging purposes

-V, --version
    Print version information

  SUBCOMMANDS:

forward
    Forward ports from one machine to another

receive
    Receive a file or a folder [aliases: rx]

send
    Send a file or a folder [aliases: tx]

  SEND OPTIONS:

--code <CODE>
    Enter a code instead of generating one automatically

-c, --code-length <NUMWORDS>
    Length of code (in bytes/words) [default: 2]

--rename <FILE_NAME>
     Suggest a different name to the receiver to keep the file's actual name secret. Not allowed when sending more than one file [aliases: name]

send-many
    Send a file to many recipients.

  send-many OPTIONS:

-n, --tries <N>
    Only send the file up to n times, limiting the number of people that may receive it. These are also the number of tries a potential attacker gets at guessing the password [default: 30]

--timeout <MINUTES>
    Automatically stop providing the file after a certain amount of time [default: 60]

--code <CODE>
    Enter a code instead of generating one automatically

-c, --code-length <NUMWORDS>
    Length of code (in bytes/words) [default: 2]

--rename <FILE_NAME>
     Suggest a different name to the receiver to keep the file's actual name secret. Not allowed when sending more than one file [aliases: name]

To send files, use `wormhole send <PATH>`. To receive files, use `wormhole receive <CODE>`.

AUTHOR

Matthias Geiger <werdahias@riseup.net>

COPYRIGHT

Copyright © 2024 Matthias Geiger

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the EUPL 1.2, or, at your option, any later version.